var $ = window.jQuery;

function loadCheck() {
    var incomplete = $('img.yst-image-loading').length + $('span[class*=img]').filter(function() {
        return !$(this).hasClass('formula-loaded');
    }).length;

    if (incomplete === 0) {
        resizeForXtimes(300, 3);
        window.JSInterface.onQueryDetailPageLoadFinished();
    } else {
        resize();
        setTimeout(loadCheck, 100);
    }
}

$('span[class*=img]').each(function() {
    var bg = this.style.backgroundImage,
        me = $(this);
    if (bg) {
        var img = $('<img>');
        img.attr('src', bg.replace(/url\(['"]?(.*?)['"]?\)/i, '$1'));
        img.on('load', function() {
            $(this).remove();
            me.addClass('formula-loaded');
        });
    } else {
        me.addClass('formula-loaded');
    }
});

function resize() {
    window.JSInterface.resize(document.body.offsetHeight);
}

function resizeForXtimes(interval, x) {
    var i = 0;
    var id = setInterval(function(){
        resize();
        if (++i > x) clearInterval(id);
    }, interval);
}

try{
    loadCheck();
}catch(e){
    resize();
    setTimeout(resize, 200);
    window.JSInterface.onImageLoadError(e.message);
}
